---
title: "Get investor readiness score"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{entityId}/investor-readiness-score`

## Path parameters

- `entityId` (`startup-get-investor-readiness-score.path.entityId`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/investor-readiness-score'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/investor-readiness-score';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/investor-readiness-score"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "scoreType": "investor_readiness",
    "scoreValue": 0,
    "scoreGrade": "string",
    "factors": {
      "claimVerification": 0,
      "profileCompleteness": 0,
      "keyTeam": 0,
      "vaultReadiness": 0,
      "tokenizedAccessReadiness": 0,
      "updateCadence": 0,
      "verifiedReportingSignals": 0
    },
    "calculationMethod": "startup-investor-readiness-v1",
    "calculatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`startup-get-investor-readiness-score.response.200.data`; object, required)
  - `entityId` (`startup-get-investor-readiness-score.response.200.data.entityId`; string, required)
    - format `uuid`
  - `scoreType` (`startup-get-investor-readiness-score.response.200.data.scoreType`; string, required)
    - one of `"investor_readiness"`
  - `scoreValue` (`startup-get-investor-readiness-score.response.200.data.scoreValue`; number, required)
  - `scoreGrade` (`startup-get-investor-readiness-score.response.200.data.scoreGrade`; string, required)
  - `factors` (`startup-get-investor-readiness-score.response.200.data.factors`; object, required)
    - `claimVerification` (`startup-get-investor-readiness-score.response.200.data.factors.claimVerification`; number, required)
    - `profileCompleteness` (`startup-get-investor-readiness-score.response.200.data.factors.profileCompleteness`; number, required)
    - `keyTeam` (`startup-get-investor-readiness-score.response.200.data.factors.keyTeam`; number, required)
    - `vaultReadiness` (`startup-get-investor-readiness-score.response.200.data.factors.vaultReadiness`; number, required)
    - `tokenizedAccessReadiness` (`startup-get-investor-readiness-score.response.200.data.factors.tokenizedAccessReadiness`; number, required)
    - `updateCadence` (`startup-get-investor-readiness-score.response.200.data.factors.updateCadence`; number, required)
    - `verifiedReportingSignals` (`startup-get-investor-readiness-score.response.200.data.factors.verifiedReportingSignals`; number, required)
  - `calculationMethod` (`startup-get-investor-readiness-score.response.200.data.calculationMethod`; string, required)
    - one of `"startup-investor-readiness-v1"`
  - `calculatedAt` (`startup-get-investor-readiness-score.response.200.data.calculatedAt`; string, required)
    - format `date-time`
- `meta` (`startup-get-investor-readiness-score.response.200.meta`; object, optional)
  - `timestamp` (`startup-get-investor-readiness-score.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-get-investor-readiness-score.response.400.error`; object, required)
  - `code` (`startup-get-investor-readiness-score.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-get-investor-readiness-score.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`startup-get-investor-readiness-score.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-get-investor-readiness-score.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-get-investor-readiness-score.response.401.error`; object, required)
  - `code` (`startup-get-investor-readiness-score.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-get-investor-readiness-score.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`startup-get-investor-readiness-score.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-get-investor-readiness-score.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-get-investor-readiness-score.response.403.error`; object, required)
  - `code` (`startup-get-investor-readiness-score.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-get-investor-readiness-score.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`startup-get-investor-readiness-score.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-get-investor-readiness-score.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-get-investor-readiness-score.response.404.error`; object, required)
  - `code` (`startup-get-investor-readiness-score.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-get-investor-readiness-score.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`startup-get-investor-readiness-score.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-get-investor-readiness-score.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-get-investor-readiness-score.response.409.error`; object, required)
  - `code` (`startup-get-investor-readiness-score.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-get-investor-readiness-score.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`startup-get-investor-readiness-score.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-get-investor-readiness-score.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-get-investor-readiness-score.response.500.error`; object, required)
  - `code` (`startup-get-investor-readiness-score.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-get-investor-readiness-score.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`startup-get-investor-readiness-score.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-get-investor-readiness-score.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-get-investor-readiness-score.response.503.error`; object, required)
  - `code` (`startup-get-investor-readiness-score.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-get-investor-readiness-score.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`startup-get-investor-readiness-score.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-get-investor-readiness-score.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/startup-get-investor-readiness-score/index.md
